Subject: [mpls] Hub and Spoke Multipoint LSPs

From: Manav Bhatia <[email-masked]>
Date: Fri, 18 Feb 2011 22:06:41 +0530

Hi,

Lizhong, Fred and I have written a small draft that describes a
technique targetting one-to-many applications that require reverse
one-to-one traffic flow (thus many one-to-one in the reverse
direction). Would love to hear comments and feedback from the WG.

The draft is available here:
http://www.ietf.org/id/draft-jjb-mpls-rsvp-te-hsmp-lsp-00.txt

Abstract

In Multiprotocol Label Switching (MPLS) and Generalized MPLS (GMPLS)
environment, the RSVP-TE based Point-to-Multipoint (P2MP) LSP allows
traffic to transmit from root to leaf node, but there is no co-routed
reverse path for traffic from leaf to root node.  This draft
introduces a Hub and Spoke Multipoint (HSMP) LSP, which allows traffic
from both the root to the leaves through a P2MP LSP and also the
leaves to the root along a co-routed reverse path.

Cheers, Manav